# -*- coding:utf-8 -*-
# python 3
#
# pour déplacer un objet à l'aide de boutons

from tkinter import *

# procédure générale de déplacement :
def avance(gd, hb):
    global X1, Y1
    fen1.title("Touche moi si tu peux !")
    X1, Y1 = X1 +gd, Y1 +hb
    can1.coords(oval1, X1,Y1)
    #can1.coords(oval1, X1,Y1, X1+30,Y1+30)
    if abs(X1-400)<=10 and abs(Y1-400)<=10:
        fen1.title("Mangé! ;-)")

# gestionnaires d'événements :
def depl_gauche():
    avance(-10, 0)
def depl_droite():
    avance(20, 0)
def depl_haut(): # attention orientation de l'axe !
    avance(0, -10)
def depl_bas():
    avance(0, 20)

#------ Programme principal -------
# les variables suivantes seront utilisées de manière globale :
X1, Y1 = 40, 40 # coordonnées initiales
# Création du widget principal ("maître") :
fen1 = Tk()
fen1.title("Exercice d'animation avec tkinter")
# création des widgets "esclaves" :
can1 = Canvas(fen1,bg='dark grey',height=600,width=600)
herbe = PhotoImage(file ='herbe.png')
fond = can1.create_image(300, 300, image =herbe)
souris = PhotoImage(file ='souris.png')
cible = can1.create_image(400, 400, image =souris)
#cible = can1.create_oval(100,100,105,105,width=2,fill='blue')
chat = PhotoImage(file ='chatete.png')
oval1 = can1.create_image(X1,Y1, image =chat)
#oval1 = can1.create_oval(X1,Y1,X1+30,Y1+30,width=2,fill='red')
can1.pack(side=LEFT)
Button(fen1,text='Quitter',command=fen1.destroy).pack(side=BOTTOM)
Button(fen1,text='Gauche',command=depl_gauche).pack()
Button(fen1,text='Droite',command=depl_droite).pack()
Button(fen1,text='Haut',command=depl_haut).pack()
Button(fen1,text='Bas',command=depl_bas).pack()
# démarrage du réceptionnaire d'événements (boucle principale) :
fen1.mainloop()